Bug 1537247 - Glibc collation update and sync with cldr
Summary: Glibc collation update and sync with cldr
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On: 1551009
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:04 UTC by Jan Kurik
Modified: 2018-05-02 12:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1551009 (view as bug list)
Environment:
Last Closed: 2018-05-02 12:04:34 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:04:29 UTC
This is a tracking bug for Change: Glibc collation update and sync with cldr
For more details, see: https://fedoraproject.org/wiki/Changes/Glibc_collation_update_and_sync_with_cldr

Update collation data in glibc to an ISO file from 2015 (in sync with Unicode 8.0.0) and sync collation rules of the locales with CLDR.

Comment 1 Jan Kurik 2018-02-20 14:10:05 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:38:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Mike FABIAN 2018-03-02 13:02:30 UTC
The change has been pushed to the upstream master branch of glibc this week
(master branch will become glibc 2.28).

Today I have backported it to glibc 2.27 and made a branch on top of the current upstream glibc 2.27 release branch to create patches for Fedora 28 rpm packages.

Comment 4 Jan Kurik 2018-03-06 08:58:02 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.